* {
   box-sizing: border-box;
}

html {

}

#background {
   position: fixed;
	top:0px;
	bottom:0px;
	left:0px;
	right:0px;
	background: #000000 url("/res/wallpaper.png") no-repeat;
	background-size: cover;
}

body {
   margin: 0;
   font-family: Noto Sans;
   color:black;
	min-width: 640px;
}

h1, h2 {
   margin:0;
}

h1 {
   font-size:42px;
}

a {
   text-decoration: none;
}

.link-list li a {
   display: block;
   padding: 5px 0px;
	text-decoration: none;
   color: darkblue;
}

.nav {
   padding: 10px; 
   padding-bottom: 0px;
   margin: 0px;
   list-style-type: none;
   font-size:20px;
   font-weight:bold;
}

.nav li {
   border: 1px solid black;
   border-radius: 5px;
}

.nav li:hover {
   background: #3a8a8a80;
	box-shadow: 0px 0px 3px #3a8a8a;
}

.nav li a {
   padding: 10px 5px;
}

#sidebar {
   margin: 10px;
   width: 200px; 
   float: left;
}

#sidebar-extra-list {
   list-style:none;
   text-align:center;
   padding:0;
}

#sidebar-extra-list li {
   margin: 5px 0;
}

#sidebar-extra-list li a {
   text-decoration:none;
}

#content {
   padding: 20px 30px;
   margin: 10px ;
   overflow: auto;
}

#content-title {
   display: inline-block;
}

#content h1 {
   padding-left: 0;
}

#header {
   position: relative;
   overflow: auto; 
   padding: 0px;
	background: #070a0ba0;
	color: whitesmoke;
}

#header h1 {
   padding: 10px;
   float:left;
}

#header span {
   background: url("hero_title.svg") no-repeat top left #aacec2ff;
   position: absolute;
   width: 100%;
   height: 100%;
   top: 5px;
   left: 0px;
   cursor: auto;
}

#toc {
   float: right;
   border: 1px black dashed;
   padding: 0 1em;
   max-width: 300px;
	margin-left: 1em;
	margin-top: 1em;
	margin-bottom: 1em;
}

#toc p {
  font-weight: bold; 
}

.shadow-border {
   border: black solid 1px;
   filter: drop-shadow(5px 5px 2px black); 
}

.window-bg {
	border: #c0c0c0 outset 2px;
	background-color: #c0c0c0;
}

.content-bg {
	background-color: #f5f5f5c8
}

.border-b-only {
	border-left: 0px;
	border-right: 0px;
	border-top: 0px;
}

.sidebar-link {
   width:20px;
   vertical-align:middle;
}

.list-element h2 {
   margin: 0;
}

.list-element .description {
   margin: 1em 0;
}

.no-margin {
   margin: 0;
}

.banner-text {
	font-size: 30px;
	text-decoration: none;
	margin-left: 10px;
}

.article-attrs {
	font-weight: medium;
}

.article-attrs .author {
	
}

.article-attrs .published-on {
	font-style: italic;
}
